# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=5

PYTHON_COMPAT=(python2_7)

inherit distutils-r1 git-r3

DESCRIPTION="python implementation of subsonic api"
HOMEPAGE="https://github.com/spl0k/supysonic"
EGIT_REPO_URI="https://github.com/spl0k/supysonic.git"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
IUSE=""

DEPEND="dev-python/flask
	dev-python/storm
	dev-python/simplejson
	dev-python/requests
	dev-python/watchdog
	dev-python/pillow
	dev-python/python-daemon
	media-libs/mutagen
	media-sound/mpg123
	"

RDEPEND="${DEPEND}"

EXAMPLES=("cgi-bin")

src_prepare(){
	epatch "${FILESDIR}"/0001-fixes-execution-from-initd-script.patch
	epatch "${FILESDIR}"/0002-setup.py-comment-pip-integration.patch
}

python_install(){
	distutils-r1_python_install
	python_newscript cgi-bin/server.py supysonic-standalone
	newinitd "${FILESDIR}"/supysonic-watcher.initd supysonic-watcher
}
